\minpt{48}

\psetquote{I won't ever allow you to do anything to abandon these possibilities and choose death!}{Fullmetal Alchemist: Brotherhood}

\begin{prob}[AMC 8 2011/6]{2}
	In a town of $351$ adults, every adult owns a car, motorcycle, or both. If $331$ adults own cars and $45$ adults own motorcycles, how many of the car owners do not own a motorcycle?
	\begin{solu}
		Let $C$ be the set of adults that own a car and $M$ be the set of adults that own a motorcycle. By PIE, $351=331+45-|C \cap M|$. So $|C\cap M|=25$. Thus out of the $331$ car owners, $25$ of them own motorcycles, implying $331-25=\ansbold{306}$ of them do not.
	\end{solu}
\end{prob}

\begin{prob}{2}
	How many integers from $1$ to $100$ (inclusive) are multiples of $2$ or $3$?
	\begin{solu}
		By PIE, our answer is $\lfloor\frac{100}{2}\rfloor+\lfloor\frac{100}{3}\rfloor-\lfloor\frac{100}{6}\rfloor=\ansbold{67}$.
	\end{solu}
\end{prob}

\begin{prob}[AMC 10A 2018/11]{3}
	When 7 fair standard 6-sided dice are thrown, the probability that the sum of the numbers on the top faces is 10 can be written as\[\frac{n}{6^7},\]where $n$ is a positive integer. What is $n$?
	\begin{solu}
		Each die must show at least $1$. So we distribute the remaining three of the sum to the dice with no restriction (since $3\leq 5$). There are $\binom{7-1+3}{3}=\ansbold{84}$ ways to do this. Since there are $6^7$ total ways $7$ dice could be rolled, the answer is $\ansbold{84}$.
	\end{solu}
\end{prob}

\begin{prob}{2}
	There are $3$ distinct six-sided dice, one red, white, and blue. How many ways can the sum of the $15$ faces showing on the three die equal $56$, if each die orientation is only considered unique if the sum of its faces that are showing are unique?
	\begin{solu}
		The sum of all the numbers on a die is $1+2+3+4+5+6=21$. Thus the sum of the numbers not showing is $63-56=7$. Then if each of red, blue and white die be $r, b, w$, then we have $r+b+w=7$. Then we have $(r-1)+(b-1)+(w-1)=4$. Then it is just $\binom{4+2}{2} = \binom{6}{2} = \ansbold{15}$.
	\end{solu}
\end{prob}

\begin{prob}[AMC 10B 2017/13]{2}
	There are $20$ students participating in an after-school program offering classes in yoga, bridge, and painting. Each student must take at least one of these three classes, but may take two or all three. There are $10$ students taking yoga, $13$ taking bridge, and $9$ taking painting. There are $9$ students taking at least two classes. How many students are taking all three classes?
	\begin{solu}
		Let the amount of people in all three classes be $x$. Then the amount of people in exactly two classes is $9-x$. Then by PIE, $|Y\cup B\cup P|=20=(10+13+9)-(9-x+3x)+x=23-x$. Thus $x=\ansbold{3}$.
	\end{solu}
\end{prob}

\begin{req}[AMC 10B 2020/23]{3}
	Square $ABCD$ in the coordinate plane has vertices at the points $A(1,1), B(-1,1), C(-1,-1)$, and $D(1,-1)$. Consider the following four transformations:

	\begin{itemize}
		\item $L$, a rotation of $90^{\circ}$ counterclockwise around the origin;

		\item $R$, a rotation of $90^{\circ}$ clockwise around the origin;

		\item $H$, a reflection across the $x$-axis; and

		\item $V$, a reflection across the $y$-axis.
	\end{itemize}

	Each of these transformations maps the squares onto itself, but the positions of the labeled vertices will change. For example, applying $R$ and then $V$ would send the vertex $A$ at $(1,1)$ to $(-1,-1)$ and would send the vertex $B$ at $(-1,1)$ to itself. How many sequences of $20$ transformations chosen from $\{L, R, H, V\}$ will send all of the labeled vertices back to their original positions? (For example, $R, R, V, H$ is one sequence of $4$ transformations that will send the vertices back to their original positions.
	\begin{solu}
		Determine the first $19$ moves. There are $\ansbold{2^{38}}$ ways to do this. Then note that for any possible arrangement of the first $19$ moves, there is exactly one final move that maps the square back to its original position.

		We outline a proof for this.

		\emph{Case 1:} There were an even number of reflections in the first $19$ moves.

		Then there were an odd amount of rotations and the square is either rotated $90^{\circ}$ or $270^{\circ}$. Then you have to rotate $270^{\circ}$ or $90^{\circ}$, respectively.

		\emph{Case 2:} There were an odd number of reflections in the first $19$ moves.

		Then there were an even amount of rotations and either reflecting about the $x$ axis or about the $y$ axis is valid.
	\end{solu}
\end{req}

\begin{prob}{3}
	We have $7$ balls each of different colors (red, orange, yellow, green, blue, indigo, violet) and $3$ boxes each of different shapes (tetrahedron, cube, dodecahedron). How many ways are there to place these $7$ balls into the $3$ boxes such that each box contains at least $1$ ball?
	\begin{solu}
		We use complementary counting. Let $T,C,D$ indicate the sets with no balls in the tetrahedron, cube, and dodecahedron, respectively. Then $|T\cup C\cup D|=(|T|+|C|+|D|)-(|T\cap C|+|C\cap D|+|D\cap T|)+|T\cap C\cap D|$. Clearly the last is impossible. Note that $|T|=|C|=|D|=2^7$, and $|T\cap C|=|C\cap D|=|D\cap T|=1$, so $|T\cup C\cup D|=3(2^7-1)$. Thus the amount of valid ways is $3^7-3(2^7-1)=\ansbold{1806}$.
	\end{solu}
\end{prob}

\begin{prob}[AIME II 2009/6]{3}
	Let $m$ be the number of five-element subsets that can be chosen from the set of the first $14$ natural numbers so that at least two of the five numbers are consecutive. Find the remainder when $m$ is divided by $1000$.
	\begin{solu}
		We use complementary counting. It is easy to see that there are $\binom{14}{5}$ ways to choose five integers. Now, we find the number of ways to choose five integers such that none of the integers are consecutive to each other. Let the numbers be $a,a+b,a+b+c,a+b+c+d,a+b+c+d+e$. By definition, $a$ must be at least $1$ and $b,c,d,e$ must all be at least $2$ as they are the differences between consecutive elements. Also, note that $a+b+c+d+e\leq 14$. Let $a'=a-1$, $b'=b-2$, $c'=c-2$, $d'=d-2$, and $e'=e-2$. Then we have $a'+b'+c'+d'+e'\leq 5$ for non-negative integers $a',b',c',d',e'$. Now there are two different approaches you can take to finish.

		The first is to note that $a'+b'+c'+d'+e'=n$ has $\binom{n+4}{4}$ solutions by Stars and Bars, so the desired result is
		\[\sum\limits_{n=0}^5 \binom{n+4}{4}=\binom{10}{5}\]
		by Hockey-Stick.

		The second is to add a variable $f=5-(a'+b'+c'+d'+e')$ and note that
		\[a'+b'+c'+d'+e'+f=5\]
		has $\binom{10}{5}$ solutions by Stars and Bars.

		Either way, the total number of subsets is $\binom{14}{5}-\binom{10}{5}=1750$, so the anwser is $\ansbold{750}$.
	\end{solu}
\end{prob}

\begin{prob}[AIME II 2002/9]{4}
	Let $\mathcal{S}$ be the set $\lbrace1,2,3,\ldots,10\rbrace$. Let $n$ be the number of sets of two non-empty disjoint subsets of $\mathcal{S}$. (Disjoint sets are defined as sets that have no common elements.) Find the remainder obtained when $n$ is divided by $1000$.
	\begin{solu}
		We either put an element in set $A$, in set $B$, or in neither set. Thus there are $3^{10}$ ways to do this. But both sets are non-empty, so we complementary count the number of ways to have a set be empty. Note that there are $2^{10}$ ways for set $A$ to be empty and also $2^{10}$ ways for set $B$ to be empty, and that there is $1$ way for both set $A$ and $B$ to be empty. Thus the amount of ways to have at least one set empty is $2^{10}+2^{10}-1$, so the answer is the remainder of $\frac{1}{2}(3^{10}-2^{10}-2^{10}+1)=28501$ when divided by $1000$, or $\ansbold{501}$. (Remember that order does not matter in sets.)
	\end{solu}
\end{prob}

\begin{prob}[Mildorf AIME \#3/2]{4}
	Let $N$ denote the number of $7$ digit positive integers have the property that their digits are in increasing order. Determine the remainder obtained when $N$ is divided by $1000$. (Repeated digits are allowed.)
	\begin{solu}
		Note we are picking $7$ numbers $a,b,c,d,e,f,g$ such that $1\leq a\leq b\leq c\leq d\leq e\leq f\leq g\leq 9$, or picking $7$ distinct numbers $a,b+1,c+2,d+3,e+4,f+5,g+6$ such that $1\leq a< b+1< c+2< d+3< e+4< f+5< g+6\leq 15$. Since the order is fixed, there are $\binom{15}{7}=6435$ ways to pick the numbers, so the answer is $\ansbold{435}$.
	\end{solu}
\end{prob}

\begin{prob}[AIME I 2020/9]{4}
	Let $S$ be the set of positive integer divisors of $20^9$. Three numbers are chosen independently and at random with replacement from the set $S$ and labeled $a_1,a_2$, and $a_3$ in the order they are chosen. The probability that both $a_1$ divides $a_2$ and $a_2$ divides $a_3$ is $\tfrac{m}{n}$, where $m$ and $n$ are relatively prime positive integers. Find $m$.
	\begin{solu}
		Note that $20^9=2^{18}\cdot 5^9$, and it has $(18+1)(9+1)=190$ total divisors.

		Let $a_1=2^a\cdot 5^x$, $a_2=2^b\cdot 5^y$, and $a_3=2^c\cdot 5^z$. Then we want to pick $a,b,c$ such that $0\leq a\leq b\leq c\leq 18$ and $0\leq x\leq y\leq z\leq 9$. This is the same as $0\leq a<b+1<c+2\leq 20$, which can be chosen in $\binom{21}{3}$ ways, and $0\leq x<y+1<z+2\leq 11$, which can be chosen in $\binom{12}{3}$ ways. Then note that $\frac{\binom{21}{3}\cdot\binom{12}{3}}{190^3}=\frac{77}{1805}$, so the answer is $\ansbold{77}$.
	\end{solu}
\end{prob}

\begin{prob}[MAT 2021/2]{6}
	Five people are in a group, including Kai and Wen. To exercise \textit{social distancing}, they keep dividing their groups into two disjoint groups until no two people are in a group. Because of a long-standing grudge, Kai and Wen cannot be together in a group after the first division. If the order of divisions matters and divisions occur one at a time, how many possible processes exist?
	\begin{solu}
		Listing all possible cases seems daunting; it's a better idea to think backwards! Suppose we start with the last step, where no two students are in a group, and want to end up with all five students in a group. First, choose two students to form a group. There are now four groups. Again, choose two groups to combine. There are now three groups. This process continues, but we must subtract $1$ case from each process as Kai and Wen cannot form a group. In total, the number of distinct processes is \[\left(\dbinom{5}{2}-1\right)\left(\dbinom{4}{2}-1\right)\left(\dbinom{3}{2}-1\right) = 9 \cdot 5 \cdot 2 = \ansbold{90}.\]
	\end{solu}
\end{prob}

\begin{prob}[IMO 1981/2]{6}
	Let $1\leq r\leq n$. We consider all $r$-element subsets of $\{1,2,\ldots,n\}$. Each of them has a minimum. Prove that the average of these minima is $\frac{n+1}{r+1}$.
	\begin{solu}
		In an $r$-element subset, the number of subsets with a minimum of $i$ is $\binom{n-i}{r-1}$. Thus the sum of these minima is
		\begin{align*}
			\sum_{i=1}^{n-(r-1)}i\binom{n-i}{r-1}                  & = \sum_{i=1}^{n-(r-1)}(n+1)\binom{n-i}{r-1}-\sum_{i=1}^{n-(r-1)}(n-i+1)\binom{n-i}{r-1} \\
			(n+1)\binom{n}{r}-\sum{i=1}^{n-(r-1)}r\binom{n-i+1}{r} & =                                                                                       \\
			(r+1)\binom{n+1}{r+1}-r\binom{n+1}{r+1}                & =                                                                                       \\
			\binom{n+1}{r+1}.
		\end{align*}
		by the Shift One and Hockey-Stick identities.

		Since there are $\binom{n}{r}$ subsets with $r$ elements, one final application of Shift One gives us our desired average of $\frac{\binom{n+1}{r+1}}{\binom{n}{r}}=\frac{n+1}{r+1}$.
	\end{solu}
\end{prob}

\begin{prob}[AIME II 2013/9]{6}
	A $7\times 1$ board is completely covered by $m\times 1$ tiles without overlap; each tile may cover any number of consecutive squares, and each tile lies completely on the board. Each tile is either red, blue, or green. Let $N$ be the number of tilings of the $7\times 1$ board in which all three colors are used at least once. For example, a $1\times 1$ red tile followed by a $2\times 1$ green tile, a $1\times 1$ green tile, a $2\times 1$ blue tile, and a $1\times 1$ green tile is a valid tiling. Note that if the $2\times 1$ blue tile is replaced by two $1\times 1$ blue tiles, this results in a different tiling. Find the remainder when $N$ is divided by $1000$.
	\begin{solu}
		We do casework on the number of tiles. Say there are $t$ tiles. Then the number of legal tilings, without taking colors into account, is $\binom{6}{t-1}$, because this is the number of ways to choose the leftmost square of the $t-1$ tiles besides the first.

		The number of ways to color $t$ tiles by PIE is $3^n-3\cdot 2^n+3$. Thus, our answer is
		\[\sum_{i=3}^{7}\binom{6}{i-1}(3^i-3\cdot 2^i+3)\equiv \ansbold{106}\pmod{1000}.\]
	\end{solu}
\end{prob}

\begin{req}[AIME I 2015/12]{6}
	Consider all 1000-element subsets of the set $\{1, 2, 3,\ldots,2015\}$. From each such subset choose the least element. The arithmetic mean of all of these least elements is $\frac{p}{q}$, where $p$ and $q$ are relatively prime positive integers. Find $p + q$.
	\begin{solu}
		Note that there are $\binom{2015}{1000}$ subsets, so that is our denominator.

		Then note there are $\binom{2014}{999}$ subsets with minimum element $1$, $\binom{2013}{999}$ subsets with minimum element 2, and so on. Thus we want to find
		\[\sum_{i=1}^{1016}i\binom{2015-i}{999}=\sum_{i=1}^{1016}\sum_{j=i}^{1016}\binom{2015-j}{999}=\sum_{i=1000}^{2015}\binom{2015}{i}=\binom{2016}{1001}.\]
		Thus the fraction is $\frac{\binom{2016}{1001}}{\binom{2015}{1000}}=\frac{288}{143}$, so the answer is $288+143=\ansbold{431}$.
	\end{solu}
\end{req}

\begin{prob}[AIME 1986/13]{9}
	In a sequence of coin tosses, one can keep a record of instances in which a tail is immediately followed by a head, a head is immediately followed by a head, and etc. We denote these by TH, HH, and etc. For example, in the sequence TTTHHTHTTTHHTTH of 15 coin tosses we observe that there are two HH, three HT, four TH, and five TT subsequences. How many different sequences of 15 coin tosses will contain exactly two HH, three HT, four TH, and five TT subsequences?
	\begin{solu}
		Note that every time we switch from a run of letters, we either get one more HT or one more TH. This means the amount of HT's can only differ from the amount of TH's by one This motivates the following. Consider sequence THTHTHTH. Then we construct all of our sequences by inserting 5 T's next to existing T's to get the 5 TT's, and inserting 2 H's next to existing H's to get the two HH's. So there are $\binom{5+4-1}{4-1}\cdot\binom{2+4-1}{4-1}=\ansbold{560}$ sequences of coin tosses.
	\end{solu}
\end{prob}

\begin{prob}[CMIMC 2018]{13}
	Compute the number of rearrangements $a_1,a_2,\ldots,a_{2018}$ of the sequence $1,2,\ldots,2018$ such that $a_k>k$ for exactly one value of $k$.
	\begin{solu}
		Label all the terms $i$ such that $i\neq a_i$ as $b_1<b_2<\ldots<b_n$. Clearly the condition cannot be satisfied for $n=0,n=1$. For $n\geq 2$, notice that the only valid permutation is $b_n,b_1,\ldots,b_2,b_{n-1}$. Assume for contradictions sake that there is some permutation $c_1,c_2,\ldots, c_n$ of $b_1,b_2,\ldots,b_n$ such that as any $c_i\neq b_n$ is the number such that $c_i>b_i$. Then let $c_j=b_n$. The only way for $c_j=b_n\leq b_j$ is for $j=n$, but this means that $b_i=i=a_i$, contradiction.

		The crux move is looking at the sets of numbers that move. Since this construction does not work for sets of size $0$ and $1$, the answer is $2^{2018}-\binom{2018}{1}-\binom{2018}{0}=\ansbold{2^{2018}-2019}$.
	\end{solu}
\end{prob}
